2008-10-4
系统:centos5
安装软件包:开发包,kde桌面
下载mplayer相关软件:
MPlayer-1.0rc2.tar.bz2
解码器:
windows-all-20071007.zip       
essential-20071007.tar.bz2 
皮肤:    
Blue-1.7.tar.bz2
解压以上文件,就不再说了
windows-all-20071007.zip解压后文件放入/usr/lib/win32codecs
essential-20071007.tar.bz2解压后文件放入/usr/lib/codecs
./configure --enable-gui --codecsdir=/usr/lib/codecs --win32codecsdir=/usr/lib/win32codecs --prefix=/usr/local/mplayer --disable-gcc-check  
备注:以上参数可能根据版本不同,有所变化不是同一版本不要照搬,
参见 ./configure –-help
一般会报错未安装 gtk2-devel ,这个是一个控件库的开发包安装盘都有,主要依赖问题。
下面使我安装的过程:
进入安装介质中的Centos目录:
# rpm -ivh gtk2-devel-2.10.4-16.el5.i386.rpm
warning: gtk2-devel-2.10.4-16.el5.i386.rpm: Header V3 DSA signature: NOKEY, key ID e8562897
error: Failed dependencies:
        atk-devel >= 1.9.0-1 is needed by gtk2-devel-2.10.4-16.el5.i386
        cairo-devel >= 1.2.0-1 is needed by gtk2-devel-2.10.4-16.el5.i386
        libXi-devel is needed by gtk2-devel-2.10.4-16.el5.i386
        pango-devel >= 1.13.0-1 is needed by gtk2-devel-2.10.4-16.el5.i386
依次安装提示的4个开发包就ok,竟然没有遇到依赖陷阱。不过这个也得根据自己系统来看了。
Make && make install
echo “export PATH=$PATH:/usr/local/mplayer/bin”>>/etc/profile
source /etc/profile
皮肤放在/usr/local/mplayer/share/mplayer/skin/default下面
字体:
/usr/share/fonts/zh_CN/TrueType/zysong.ttf 文件copyMPlayer安装目录下
字体放在/usr/local/mplayer/share/mplayer 下面subfont.ttf
 
 
下回切记,安完立刻写文档,后补忘了好多东西!
问题:还是不能播放rmvb ,一打开就自动关闭,听说是解码器的问题,一会再看看。(一觉醒来竟然能播rmvb了)
最后补一句,以上配置仅限版本相同者,其它版本不一定适用